ur_rna.RNAstructureUI.windows

## Class PredictSingleStructureWindow.PredictSingleStructureTask

- java.lang.Object
- - ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase
  - - ur_rna.RNAstructureUI.windows.PredictSingleStructureWindow.PredictSingleStructureTask

- All Implemented Interfaces:
    java.lang.Runnable, PredictWindowBase.BackgroundTask
  Enclosing class:
    PredictSingleStructureWindow

      private class PredictSingleStructureWindow.PredictSingleStructureTask
      extends PredictWindowBase.PredictTaskBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `alphabet`
    `java.lang.String` | `baseOutputName`
    `java.lang.String` | `conFile`
    `double` | `gamma`
    `int` | `iterations`
    `int` | `maxEnergyDiff`
    `int` | `maxLoopSize`
    `int` | `maxStructures`
    `int` | `minHelixLen`
    `java.lang.String` | `outFoldCt`
    `java.lang.String` | `outMaxExpectCt`
    `java.lang.String` | `outPfs`
    `java.lang.String` | `outPkCt`
    `java.lang.String` | `outSav`
    `int` | `seqType`
    `java.lang.String` | `sequence`
    `java.lang.String` | `sequenceTitle`
    `java.lang.String` | `shapeFile`
    `double` | `shapeIntercept`
    `double` | `shapeSlope`
    `double` | `temperature`
    `int` | `windowSize`

    - ### Fields inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase

      `canCancel, errorMessage, hadError, isCanceled, nextStepWork, status, stepProgress, workDone`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `PredictSingleStructureTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `runCalc()`
    `protected boolean` | `showResults()` Show the results window.

    - ### Methods inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase

      `cancel, checkError, checkError, checkError, checkError, checkError, getProgress, getStatus, isCancelable, nextStep, onComplete, run, setError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alphabet

          public java.lang.String alphabet

    - #### baseOutputName

          public java.lang.String baseOutputName

    - #### conFile

          public java.lang.String conFile

    - #### gamma

          public double gamma

    - #### iterations

          public int iterations

    - #### maxEnergyDiff

          public int maxEnergyDiff

    - #### maxLoopSize

          public int maxLoopSize

    - #### maxStructures

          public int maxStructures

    - #### minHelixLen

          public int minHelixLen

    - #### outFoldCt

          public java.lang.String outFoldCt

    - #### outMaxExpectCt

          public java.lang.String outMaxExpectCt

    - #### outPfs

          public java.lang.String outPfs

    - #### outPkCt

          public java.lang.String outPkCt

    - #### outSav

          public java.lang.String outSav

    - #### seqType

          public int seqType

    - #### sequence

          public java.lang.String sequence

    - #### sequenceTitle

          public java.lang.String sequenceTitle

    - #### shapeFile

          public java.lang.String shapeFile

    - #### shapeIntercept

          public double shapeIntercept

    - #### shapeSlope

          public double shapeSlope

    - #### temperature

          public double temperature

    - #### windowSize

          public int windowSize

  - ### Constructor Detail

    - #### PredictSingleStructureTask

          private PredictSingleStructureTask()

  - ### Method Detail

    - #### runCalc

          protected void runCalc()

      Specified by:
        `runCalc` in class `PredictWindowBase.PredictTaskBase`

    - #### showResults

          protected boolean showResults()

      Show the results window.
      Specified by:
        `showResults` in class `PredictWindowBase.PredictTaskBase`
      Returns:
        True if the results window could be shown. False otherwise.